<?
/*
Ниже происходит переход на следующий уровень, любое изменение в коде произведет к нестабильной работе игры
*/

//Выбираем самый большой уровень из списка уровней

$bigl=60;
/*Эсли в базе нету больше уровней, то переходы не выполняються, а счетчик опыта показывает ввесь, набраный за всю игру, опыт*/
if($ku['level']<$bigl)
{
if($ku['level']>1)
{
$rl=0;
$ql=mysql_query("SELECT * FROM `kolhoz_level`");
while($pl=mysql_fetch_array($ql))
{
if($pl['level']<=$ku['level'])$rl=$rl+$pl['rating'];
}
$kr=$ku['rating']-$rl;
}
else $kr=$ku['rating'];
$level=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_level` WHERE `level` = '".($ku['level']+1)."' LIMIT 1"));
if($kr>=$level['rating'])
{
if(!empty($ku['refi'])){
$refi=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id`='$ku[refi]' LIMIT 1"));
mysql_query("UPDATE `kolhoz_user` SET  `rubies` = '".($refi['rubies']+50)."', `money` = '".($refi['money']+30000)."' WHERE `id` = '$ku[refi]'");
$text='Ваш реферал '.$ku[nick].' достиг '.$level[level].' уровня! Вам начислено 50 тотема и 30000 монет';
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$ku[refi]', `id_kont` = '0', `msg` = '$text', `time` = '".time()."', `type` = 'to'") or die (mysql_error());
}
echo "<div class='feedback'>
Поздравляем, Вы получили <span
class='title'><span>$level[level]</span> уровень.</span><br>
Вам начислено: <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'>
<span>$level[rubies]</span> и <img width='16' height='16' src='images/icons/money.png' alt='o'> <span>".($level['level']*100)."</span>.<br/>";
$semen=mysql_query("SELECT `name` FROM `kolhoz_plant` WHERE `level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'Доступны новые семена: ';
While($sem=mysql_fetch_array
($semen)){
echo "$sem[name], ";
}
}
$semen=mysql_query("SELECT
`name` FROM `kolhoz_fish` WHERE
`level` = '$level[level]' ");
if(mysql_num_rows($semen)>=1){
echo'<br/>Доступны новые рыбы: ';
While($sem=mysql_fetch_array
($semen)){
echo "$sem[name], ";
}
}
$semen=mysql_query("SELECT
`name` FROM `kolhoz_tree`
WHERE `level` = '$level[level]' ");
if(mysql_num_rows
($semen)>=1){
echo'<br>Доступны новые
деревья: ';
While($sem=mysql_fetch_array
($semen)){
echo "$sem[name], ";
}
}
$semen=mysql_query("SELECT
`name` FROM `kolhoz_pet`
WHERE `level` = '$level[level]' ");
if(mysql_num_rows
($semen)>=1){
echo'<br>Доступны новые
животные: ';
While($sem=mysql_fetch_array
($semen)){
echo "$sem[name], ";
}
}
echo"<br/>Хорошего урожая!</div></div></span>";
mysql_query("UPDATE `kolhoz_user` SET `level` = '$level[level]', `rubies` = '".($ku['rubies']+$level['rubies'])."', `money` = '".($ku['money']+($level['level']*100))."' WHERE `id` = '$ku[id]'");
$ku['level']=$level['level'];
$ku['money']=$ku['money']+($level['level']*100);
$ku['rubies']=$ku['rubies']+$level['level'];
$rl=0;
$ql=mysql_query("SELECT * FROM `kolhoz_level`");
while($pl=mysql_fetch_array($ql))
{
if($pl['level']<=$ku['level'])$rl=$rl+$pl['rating'];
}
$kr=$ku['rating']-$rl;
$level=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_level` WHERE `level` = '".($ku['level']+1)."' LIMIT 1"));
}
}

//Устанавливаем 1 первый уровень, если тот уровень что у пользователя не найден в базе
//Потом уровень будет подбит под сюществующий опыт

mysql_query("UPDATE `kolhoz_user` SET `level` = '1' WHERE `level` = '0'");
?>